> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all customer balance transactions

> List all customer balance transactions



## OpenAPI

````yaml openapi-billing.json GET /v1/customer_balance_transactions
openapi: 3.1.0
info:
  title: Yorlet Billing API
  description: APIs for managing invoices, coupons, credit grants, and subscription items.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/customer_balance_transactions:
    get:
      tags:
        - Customer Balance Transactions
      summary: List all customer balance transactions
      description: List all customer balance transactions
      operationId: customer_balance_transactions_list
      responses:
        '200':
          description: List all customer balance transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - customer_balance_transaction
                        amount:
                          type: integer
                          description: The amount of the transaction.
                        application:
                          type:
                            - string
                            - 'null'
                          default: null
                          description: >-
                            The ID of the application this balance is reserved
                            for, if scoped.
                        currency:
                          type: string
                          description: The currency of the transaction.
                        customer:
                          anyOf:
                            - type: string
                            - type: object
                              additionalProperties: {}
                          description: The customer this transaction is for.
                        description:
                          type:
                            - string
                            - 'null'
                          description: >-
                            An arbitrary string attached to the object. Often
                            useful for displaying to users.
                        ending_balance:
                          type: integer
                          description: The ending balance of the transaction.
                        invoice:
                          type:
                            - string
                            - 'null'
                          description: The invoice attached to the transaction.
                        type:
                          type:
                            - string
                            - 'null'
                          enum:
                            - adjustment
                            - advance_rent
                            - applied_to_invoice
                            - credit_note
                            - holding_fee
                            - payment
                            - refund
                            - unapplied_from_invoice
                            - null
                          description: The type of the transaction.
                      required:
                        - id
                        - created
                        - object
                        - amount
                        - currency
                        - customer
                        - description
                        - ending_balance
                        - invoice
                        - type
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````